package ru.ulstu.method;

import java.util.List;

public abstract class MethodParameter implements Comparable {
    protected String name;

    public MethodParameter(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public abstract List<Number> getAvailableValues();

    @Override
    public int compareTo(Object o) {
        return this.name.compareTo(((MethodParameter) o).getName());
    }
}
